Extending Qt Creator Manual | DeviceCheckBuildStep

Extending Qt Creator Manual 4.4.0

# DeviceCheckBuildStep Class

(ProjectExplorer::DeviceCheckBuildStep)

Inherits: | ProjectExplorer::BuildStep

- List of all members, including inherited members

## Public Functions

| DeviceCheckBuildStep(BuildStepList *bsl, Core::Id id)
| DeviceCheckBuildStep(BuildStepList *bsl, DeviceCheckBuildStep *bs)

## Reimplemented Public Functions

virtual BuildStepConfigWidget * | createConfigWidget() override
virtual bool | init(QList<const BuildStep *> &earlierSteps) override
virtual void | run(QFutureInterface<bool> &fi) override

- 15 public functions inherited from ProjectExplorer::BuildStep
- 11 public functions inherited from ProjectExplorer::ProjectConfiguration

## Static Public Members

QString | stepDisplayName()
Core::Id | stepId()

- 1 static public member inherited from ProjectExplorer::BuildStep

### Additional Inherited Members

- 3 signals inherited from ProjectExplorer::BuildStep
- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Member Function Documentation

### DeviceCheckBuildStep::DeviceCheckBuildStep(BuildStepList *bsl, Core::Id id)

Default constructs an instance of DeviceCheckBuildStep.

### DeviceCheckBuildStep::DeviceCheckBuildStep(BuildStepList *bsl, DeviceCheckBuildStep *bs)

Default constructs an instance of DeviceCheckBuildStep.

### `[override virtual]` BuildStepConfigWidget *DeviceCheckBuildStep::createConfigWidget()

### `[override virtual]` bool DeviceCheckBuildStep::init(QList<const BuildStep *> &earlierSteps)

### `[override virtual]` void DeviceCheckBuildStep::run(QFutureInterface<bool> &fi)

### `[static]` QString DeviceCheckBuildStep::stepDisplayName()

### `[static]` Core::Id DeviceCheckBuildStep::stepId()